import React__default from 'react';
import 'focus-visible';

/**
 * Компонент календаря с диапазоном.
 */
var boundCalendar = function boundCalendar(_ref) {
  var CalendarBase = _ref.base,
    CalendarDouble = _ref["double"],
    CalendarBaseRange = _ref.baseRange,
    CalendarDoubleRange = _ref.doubleRange;
  return function (rest) {
    if (!rest.isRange && !rest.isDouble) {
      return /*#__PURE__*/React__default.createElement(CalendarBase, rest);
    }
    if (!rest.isRange && rest.isDouble) {
      return /*#__PURE__*/React__default.createElement(CalendarDouble, rest);
    }
    if (rest.isRange && !rest.isDouble) {
      return /*#__PURE__*/React__default.createElement(CalendarBaseRange, rest);
    }
    if (rest.isRange && rest.isDouble) {
      return /*#__PURE__*/React__default.createElement(CalendarDoubleRange, rest);
    }
    return null;
  };
};

export { boundCalendar };
